Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui
Interface IActionDelegate2

All Superinterfaces:
  IActionDelegate

All Known Implementing Classes:
  ActionDelegate, org.eclipse.debug.internal.ui.actions.ExecutionAction, RunToLineActionDelegate, org.eclipse.debug.internal.ui.actions.ToggleBreakpointObjectActionDelegate

public interface IActionDelegate2
extends IActionDelegate

Interface extension to `IActionDelegate` adding lifecycle methods. In addition, a `runWithEvent` method that includes the triggering SWT event.

An action delegate that implements this interface will have its `runWithEvent(IAction, Event)` called instead of its `run(IAction)` method.

Clients should implement this interface, in addition to `IActionDelegate` or sub-interfaces, if interested in the triggering event or in the lifecycle of the delegate object.

Clients can choose to subclass the provided abstract implementation `org. eclipse. ui. actions. ActionDelegate` or implement the interface directly.

Since:
  2.1
See Also:
  `ActionDelegate`, `IActionDelegate`

Method Summary
`void` | `dispose()` Allows the action delegate to clean up.
`void` | `init(IAction action)` Allows the action delegate to initialize itself after being created by the proxy action.
`void` | `runWithEvent(IAction action, Event event)` Performs this action, passing the SWT event which triggered it.

Methods inherited from interface org.eclipse.ui.IActionDelegate
`run, selectionChanged`

Method Detail

### init

    public void init(IAction action)

  Allows the action delegate to initialize itself after being created by the proxy action. This lifecycle method is called after the action delegate has been created and before any other method of the action delegate is called.

  Parameters:
    `action` - the proxy action that handles the presentation portion of the action.

### dispose

    public void dispose()

  Allows the action delegate to clean up. This lifecycle method is called when the proxy action is done with this action delegate. This is the last method called.

### runWithEvent

    public void runWithEvent(IAction action,
                             Event event)

  Performs this action, passing the SWT event which triggered it. This method is called by the proxy action when the action has been triggered. Implement this method to do the actual work.

  Note: This method is called instead of `run(IAction)`.

  Parameters:
    `action` - the action proxy that handles the presentation portion of the action
    `event` - the SWT event which triggered this action being run
  Since:
    2.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.